Irrlicht Engine: irr::core::irrAllocatorFast< T > Class Template Reference

Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# irr::core::irrAllocatorFast< T > Class Template Reference

Fast allocator, only to be used in containers inside the same memory heap. More...

`#include <irrAllocator.h>`

List of all members.

## Public Member Functions
T * | allocate (size_t cnt)
| Allocate memory for an array of objects.
void | construct (T *ptr, const T &e)
| Construct an element.
void | deallocate (T *ptr)
| Deallocate memory for an array of objects.
void | destruct (T *ptr)
| Destruct an element.

## Detailed Description

### template<typename T>
class irr::core::irrAllocatorFast< T >

Fast allocator, only to be used in containers inside the same memory heap.

Containers using it are NOT able to be used it across dll boundaries. Use this when using in an internal class or function or when compiled into a static lib

Definition at line 75 of file irrAllocator.h.

## Member Function Documentation

template<typename T >

T* irr::core::irrAllocatorFast< T >::allocate | ( | size_t | cnt | ) | `[inline]`

Allocate memory for an array of objects.

Definition at line 80 of file irrAllocator.h.

template<typename T >

void irr::core::irrAllocatorFast< T >::construct | ( | T * | ptr,
|  | const T & | e |
| ) |  |  | `[inline]`

Construct an element.

Definition at line 92 of file irrAllocator.h.

template<typename T >

void irr::core::irrAllocatorFast< T >::deallocate | ( | T * | ptr | ) | `[inline]`

Deallocate memory for an array of objects.

Definition at line 86 of file irrAllocator.h.

template<typename T >

void irr::core::irrAllocatorFast< T >::destruct | ( | T * | ptr | ) | `[inline]`

Destruct an element.

Definition at line 98 of file irrAllocator.h.

The documentation for this class was generated from the following file:

- irrAllocator.h

| The Irrlicht Engine Documentation © 2003-2010 by Nikolaus Gebhardt. Generated on Sun Oct 24 12:42:03 2010 by Doxygen (1.6.2)